dpkg-genbuildinfo(1)

NAMN
dpkg-genbuildinfo - skapa Debians .buildinfo-filer

SYNOPS
dpkg-genbuildinfo [flagga...]

BESKRIVNING
dpkg-genbuildinfo läser information från ett uppackat och byggt Debiankällkodsträd och från de filer det har genererat, och genererar en styrfil som beskriver byggmiljön och byggartefakterna (.buildinfo-filen).

Programmet introducerades i dpkg 1.18.11.

FLAGGOR

--build=typ
    Anger bygg-typ från en kommaavdelad lista över komponenter.

    Tillåtna värden är:

    any Genererar bygginformation, inkluderande okvalificerade byggberoenden (Build-Depends) och arkitekturspecifika byggberoenden (Build-Depends-Arch).

    all Genererar bygginformation, inkluderande okvalificerade byggberoenden (Build-Depends) och arkitekturoberoenden byggberoenden (Build-Depends-Indep).

    source
        Praktiskt taget ignorerad; skapar bygginformation med bara de okvalificerade byggberoendena (Build-Depends).

    binary
        Skapar bygginformation med alla tre typer byggberoenden. Detta är ett alias för any,all.

    full
        Skapar bygginformation med alla tre typer byggberoenden. Detta är ett alias för any,all,source, och samma som standardfallet när inga byggflaggor anges.

-ccontrol-fil
    Anger huvudkällkodsstyrfilen som information ska läsas från. Standardvärdet är debian/control.

-ländringsloggfil
    Anger ändringsloggfilen som information ska läsas från. Standardvärdet är debian/changelog.

-ffillistfil
    Anger var listan över filer som har producerats av bygget är, istället för att använda debian/files.

-Fändringsloggformat
    Anger format på ändringsloggen. Se dpkg-parsechangelog(1) för information om alternativa format.

-O[filnamn]
    Skriv buildinfo-filen på standard ut (eller filnamn, om angivet), i stället för till kat/källkodsnamn_binärversion_ark.buildinfo (där förvalet för kat är .. eller insändningskatalog om -u användes).

-uinsändningskatalog
    Se efter filer som ska sändas in i insändningskatalog istället för .. (dpkg-genchanges måste kunna se dessa filer så att det kan lägga in deras storlekar och kontrollsummor i .buildinfo-filen).

--always-include-kernel
    Förvalet är att inte skriva fältet Build-Kernel-Version.

    Ange den här flaggan (sedan dpkg 1.19.0) för att alltid skriva fältet Build-Kernel-Version när .buildinfo genereras.

--always-include-path
    Förvalet är att bara skriva fältet Build-Path om aktuell katalog startar med ett tillåtet mönster.

    På Debian och derivat träffar mönstret på /build/ i början av sökvägsnamnet.

    Ange den här flaggan för att alltid skriva fältet Build-Path när .buildinfo genereras.

--admindir=kat
    Ändra platsen för dpkg-databasen. Förval är /var/lib/dpkg.

-q  dpkg-genchanges kan generera informativa meddelanden på standard fel. -q undertrycker dessa meddelanden.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

MILJÖVARIABLER

DEB_BUILD_OPTIONS
    Den här variabeln kan aanvändas för att aktivera eller inaktivera olika funktioner som påverkar den information som tas med i filen .buildinfo, via flaggan buildinfo (sedan dpkg 1.18.19). Flaggan innehåller en kommaavdelad lista över funktioner, inledda med modifieringstecknen ”+” eller ”-”, för att ange om de ska aktiveras eller inaktiveras. Specialfunktionen ”all” kan användas för att aktivera eller inaktivera alla andra funktioner. Funktionen ”path” styr huruvida fältet Build-Path ska tas ovillkorligen med.

DEB_BUILD_ARCH
    Sets the build architecture. This affects the value for the Build-Architecture field, and the check for the cross-compilation mode.

DEB_HOST_ARCH
    Sets the host architecture. This affects the filename used for the .buildinfo file, and the check for the cross-compilation mode.

DPKG_COLORS
    Väljer färgläge (sedan dpkg 1.18.5). För närvarande godtas följande värden: auto (förval), always och never.

DPKG_NLS
    Om satt, används för att bestämma om lokalt språkstöd ska aktiveras, även känt som internationaliseringsstöd (eller i18n) (sedan dpkg 1.19.0). Tillåtna värden är: 0 och 1 (förval).

FILER

debian/files
    Listan över genererade filer. dpkg-genbuildinfo läser data här när .buildinfo-filen skapas.

SE ÄVEN
deb-buildinfo(5).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.